Subject: bug#2269: 23.0.60; ambiguity in info file

From: Robert Marshall <[email-masked]>
Date: Tue, 10 Feb 2009 13:20:30 +0000 (GMT)

basic.texi claims

`M-='
     Display the number of lines in the current region
     (`count-lines-region').  *Note Mark::, for information about the
     region.

(taking the info version), however, at least two emacs modes (dired and
calendar) overrides this key binding. I think these exceptions ought to be
documented here. 

I'm often trying to count lines in a region in dired and
I very rarely use dired-backup-diff as I use version control and that
function doesn't use vc and therefore I get an error on M-=. 

Could dired-backup-diff, if it doesn't find a backup file, test for
region-active-p and if t invoke count-lines-region and only otherwise
signal an error?

In GNU Emacs 23.0.60.2 (i686-pc-linux-gnu, GTK+ Version 2.14.3)
 of 2009-01-24 on faure.capuchin.co.uk
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: en_GB
  value of $LC_CTYPE: en_GB
  value of $LC_MESSAGES: en_GB
  value of $LC_MONETARY: en_GB
  value of $LC_NUMERIC: en_GB
  value of $LC_TIME: en_GB
  value of $LANG: en_GB
  value of $XMODIFIERS: nil
  locale-coding-system: iso-latin-1-unix
  default-enable-multibyte-characters: t

Major mode: Info

Minor modes in effect:
  diff-auto-refine-mode: t
  show-paren-mode: t
  recentf-mode: t
  display-time-mode: t
  shell-dirtrack-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

-- 
Links and things http://rmstar.blogspot.com/
Robert Marshall